Skip to main content
GET
/
v1
/
perps
/
fills
Get Fills
curl --request GET \
  --url https://api.ondoperps.xyz/v1/perps/fills \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "result": [
    {
      "id": "70a37d8f972f2494837f9dba8364cbb4",
      "orderId": "197ec08e001658690721be129e7fa595",
      "market": "AAPL-USD.P",
      "price": "227.50",
      "size": "5.00",
      "side": "buy",
      "direction": "open long",
      "filledCost": "1137.50",
      "fee": "0.57",
      "time": "2025-03-05T14:30:00Z",
      "isMaker": false
    }
  ],
  "pageInfo": {
    "nextCursor": "NQ5WWO3THN3Q===="
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

market
string

Filter by trading market

Example:

"AAPL-USD.P"

limit
integer

Maximum number of results to return

Example:

1000

cursor
string

Pagination cursor

Example:

"NQ5WWO3THN3Q===="

startTime
integer

Filter by start time (UTC milliseconds)

Example:

1684814400000

endTime
integer

Filter by end time (UTC milliseconds)

Example:

1672549200000

Response

Paginated list of fills, most recent first

success
boolean
required

Whether the request was successful

Example:

true

error
string

Error message, present only on failure

Example:

""

error_code
string

Semantic error code. See each endpoint's error responses for the specific codes it can return.

deprecated
string

Deprecation notice, if applicable

Example:

""

result
object[]
pageInfo
object